/* Copyright (c) 2015-present, salesforce.com, inc. All rights reserved
Licensed under BSD 3-Clause - see LICENSE.txt or git.io/sfdc-license */

'use strict';

const path = require('path');

module.exports = {
  extends: ['stylelint-config-standard', 'stylelint-config-prettier'],
  ignoreFiles: ['node_modules', '**/*.md'],
  defaultSeverity: 'warning',
  plugins: [
    path.resolve(__dirname, 'plugins/namespace-pattern.js'),
    path.resolve(__dirname, 'plugins/component-pattern.js'),
  ],
  rules: {
    'sds-stylelint-plugin/namespace-pattern': [
      true,
      { namespace: 'sds', property: true, value: true, severity: 'error' },
    ],
    'sds-stylelint-plugin/component-pattern': true,
    'selector-type-no-unknown': [true, { ignore: ['custom-elements'] }],
  },
};
